list(APPEND console_HEADERS MainApplication.h)

list(APPEND console_LIB_INCLUDES MainApplication.cpp)

add_library(console SHARED ${console_LIB_INCLUDES} ${console_HEADERS})

target_include_directories(console PUBLIC
                          "${CMAKE_CURRENT_SOURCE_DIR}"
                          )
set_property(TARGET console PROPERTY FOLDER src)
target_link_libraries(console PUBLIC core audio network database web graphics publishing)
set_target_properties( console PROPERTIES WINDOWS_EXPORT_ALL_SYMBOLS ON ) 